<?php
include ("../conexion.php");
include ("../funciones/fechas.php");



$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

 $fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 



$where="1=1";


if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND pedidos_lineas.fecfac between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND pedidos_lineas.fecfac >='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND pedidos_lineas.fecfac <='".$fechafin."'";
		}
	}
}


  
  if ($result = $mysqli->query("SELECT * FROM pedidos_lineas WHERE  ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}
 

 $consulta2= ("SELECT * FROM pedidos_lineas WHERE borrado = 0 AND".$where);

	if ($resultado2 = $mysqli->query($consulta2)) 

 
  	 while ($row = $resultado2->fetch_assoc()) {

	$importe+=$row["importe"];
	$mondes+=$row["mondes"];
	$impuesto+=$row["impuesto"];
	$totalfacturas=$importe-$mondes+$impuesto;

	
}

	

?>
<html>
	<head>
		<title>Clientes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function ver_proforma(codfactura) {
			parent.location.href="ver_proforma.php?codfactura=" + codfactura;
		}
		
		function modificar_proforma(codfactura,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_proforma.php?codfactura=" + codfactura ;
			} else {
				alert ("No puede modificar una factura ya pagada.");
			}
		}
		
	//////////////////////////////////////  funcion anular factura //////////////////////////////////////////////////////

		function eliminar_proforma(codfactura,marcaborrado) {
			if (marcaborrado==1) {
		       alert ("Favor verifique factura ya fue ANULADA !");
					} else {	
			parent.location.href="eliminar_proforma.php?codfactura=" + codfactura ;
			
			}
		}
					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalfacturas.value=document.getElementById("totalfacturas").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function pon_prefijo(cantidad,importe,mondes,impuesto,total) {

	parent.document.form_busqueda.importe.value=importe;
	parent.document.form_busqueda.mondes.value=mondes;
	parent.document.form_busqueda.impuesto.value=impuesto;
	parent.document.form_busqueda.total.value=total;
	parent.document.form_busqueda.cantidad.value=cantidad;
	
    
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalfacturas" id="totalfacturas" value="<?php echo $totalfacturas?>">
				<?php
				
			
				if ($filas > 0) { 
$contador=0;
$marcaestado=0;	
$marcaborrado=0;		

			$consulta ="SELECT SUM(mondes) AS mondes, SUM(importe) AS importe, SUM(impuesto) AS impuesto, SUM(cantidad) AS cantidad, pedidos_lineas.cdgfam, pedidos_lineas.borrado, pedidos_lineas.codigo, pedidos_lineas.dscart, pedidos_lineas.fecfac , familias.dscfam FROM pedidos_lineas,familias WHERE  pedidos_lineas.cdgfam=familias.cdgfam AND pedidos_lineas.borrado=0   AND ".$where. " GROUP BY  pedidos_lineas.codigo  ORDER BY  pedidos_lineas.cdgfam,  pedidos_lineas.dscart ASC " ;
if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $importe   = $fila["importe"];
        $mondes    = $fila["mondes"];
        $impuesto  = $fila["impuesto"];
		$total = $importe -  $mondes + $impuesto ;
		
					if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td width="2%"><?php $contador+1;?></td>

								<td width="10%" align="right"><div align="left"><?php echo $fila["codigo"] ?></div></td>	
									<?php	  $dscart = substr($fila["dscart"], 0,70);  ?>	
								<td width="33%"><div align="left"><?php echo $dscart  ?></div></td>	
								<td width="10%"><div align="center"><?php echo $fila["cantidad"]  ?></div></td>
								<td width="10%"><div align="right"><?php echo number_format($fila["importe"] ,2) ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($fila["mondes"] ,2) ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($fila["impuesto"] ,2) ?></div></td>	
								<td width="10%"><div align="right"><?php echo number_format($total,2) ?></div></td>	
					
													
							
		
								<td width="4%">&nbsp;</td>
								<td width="4%"><div align="center"></div></td>
								<td width="8%"><div align="center"></div></td>
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo 	"No hay Pedidos que cumplan con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } 
					


	   $consulta = "SELECT  SUM(importe) AS importe, SUM(mondes) AS mondes , SUM(impuesto) AS impuesto ,  SUM(cantidad) AS cantidad, pedidos_lineas.cdgfam, familias.cdgfam FROM pedidos_lineas, familias WHERE borrado=0 AND  pedidos_lineas.cdgfam = familias.cdgfam  AND ".$where;
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
       $importe  = $row["importe"];
	   $impuesto = $row["impuesto"];
	   $mondes   = $row["mondes"];
	   $cantidad = $row["cantidad"];
		 
		$total=$importe - $mondes + $impuesto;
	
		$importe=number_format($importe,2);
		$impuesto=number_format($impuesto,2);
		$mondes=number_format($mondes,2);
		$total=number_format($total,2);
		$cantidad=number_format($cantidad,3);
					
					?>	
                    	
                    
                 <script languaje="javascript">
	pon_prefijo("<?php echo $cantidad ?>","<?php echo $importe ?>","<?php echo $mondes ?>","<?php echo $impuesto ?>","<?php echo $total?>");
	
		</script>			
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
